<?php 
@session_start();
if (isset($_SESSION['usuario'])){
	if ($_GET['Idprod'] != ""){
include('servicio.php');
//error_reporting(E_ALL); ini_set("display_errors", true); 
date_default_timezone_set("America/Mexico_City");
$conn=ibase_connect($servicedini.":".$rutadini.$empresadini, $usuariodini, $basedecode);
    if (!$conn)
    {	session_destroy();
		echo "<div class='contenido' align='center'><div class='titulodos'> Acceso Denegado!<br/>
			<form action='index.php' method='post'>
			  <button type='submit' class='boton'>Regresar</button>
			</form>
	</div></div>";
    exit; }
	
$IdArt = $_GET['Idprod'];
$fecha = date("Y/m/d");
$fecha2 = date("d/m/Y");
$hora =  date("H:i:s");
/**********  Consulta que genera la tabla de descuentos por volumen.  ************/
$stmt="Select DESCUENTO, FUE_TOPADO, UNIDADES from MGETIQ_GET_DSCTO_VOL(".$IdArt.",'".$fecha."')";
$query = ibase_prepare($stmt);
$rs=ibase_execute($query);



/**********  Consulta que regresa el cliente eventual  ************/
$ClienteEve="SELECT VALOR FROM REGISTRY WHERE NOMBRE = 'CLIENTE_EVENTUAL_PV_ID';";
$resultClie=ibase_query($conn,$ClienteEve);
if (!$resultClie) {
	echo "no se puede mostrar datos desde la consulta: $resultClie!";
    exit;
 }   
 while ($rowClie = ibase_fetch_object ($resultClie)) {  
					$IdCliente = $rowClie->VALOR;
				} 

/**********  Consulta que regresa el descuento por cliente  ************/
$consulta = "SELECT PRECIO_UNITARIO,NOMBRE_PRECIO,DESCUENTO,FUE_TOPADO,DESCUENTO_CLI,DESCUENTO_VOL,DESCUENTO_PROMO "
           ." FROM MGETIQ_GET_DSCTO_ART(".$IdCliente.", ".$IdArt.",'".$fecha."', '".$hora ."', 1)";
$result3=ibase_query($conn,$consulta);
if (!$result3){
     echo ibase_errmsg();
	 }
	 while ($des = ibase_fetch_object($result3)){

	  $descuento = $des->DESCUENTO;
	   $topado = $des->FUE_TOPADO;
	    $des_cliente = $des->DESCUENTO_CLI;
		 $des_vol = $des->DESCUENTO_VOL;
		  $des_promo = $des->DESCUENTO_PROMO;
	 }

	 
?>

<div class="box box-warning">
<sectio class="container">
     <div class="articulos">
     <div align="center">
     
     <?php 
	 if (!$query) 
	 {
		 echo " <fieldset style='width:55%'> 
		 <input  type='text' readonly='readonly' value='".$_GET['IdArt']."' id='artis' />
		 		 <input type='button' class='boton' value='Regresar' onclick=\"ArticuloC('artis')\" /><br/>
				 Debe ejecutar el configurador para generar los procedimientos faltantes.
		 </fieldset>";
			
					 }else{ 
	 ?>
        <fieldset style="width:55%">
				
		 <table align="center" width="53%">
         
                     <tr><td><h4>Por promoci&oacute;n:</h4></td><td>
                        <h4>		<?php 	echo $formato = number_format($des_promo,0)."%";?></h4>
            		  </td></tr>
               
       	   </table>	
          </fieldset>
      
         <h4>Por volumen</h4>
        <table align="center" width="40%">
          <tr><th bgcolor="#ccc" style="color:#fff">Unidades</th>
            <th></th>
            	
                <th bgcolor="#ccc" style="color:#fff">Descuento</th>
                </tr>
        	<?php while ($row = ibase_fetch_object ($rs)) {  
							echo '<tr><td></td></tr>
						  		<tr><td align="center" bgcolor="#E5E5E4">'.$formato = number_format($row->DESCUENTO,0).'</td>
						  			<td></td>
									
									<td align="center" bgcolor="#E5E5E4">'.$formato = number_format($row->UNIDADES,0).'%</td></tr>';
								} ?>
        </table>
       <?php } ?> 
    	</div>
</div>
</sectio>
</div>
<?php 
}else{ ?>
              <div class="callout callout-danger">
                <p>La clave del artículo no ha sido indicada.</p>
              </div>
<?php } 
}else{
	echo'<SCRIPT LANGUAGE="javascript">
    location.href = "index.php";
    </SCRIPT>';
	} ?>